<?php
/*******************************************************************
 *			
 * 			Fichier			:	constantes.php 
 * 			Cr le			:	12 juillet 2002 
 * 			Dernire modif	:	16 aout 2003 
 * 			Email			:	wascripts@phpcodeur.net 
 * 
 * 				Copyright  2002-2003 phpCodeur
 * 
 *******************************************************************/

/*******************************************************************
 *  This program is free software; you can redistribute it and/or 
 * 	modify it under the terms of the GNU General Public License as 
 * 	published by the Free Software Foundation; either version 2 of 
 *  the License, or (at your option) any later version. 
 *******************************************************************/


//
// Mode de dbugguage du script 
// 
// 3 - Toutes les erreurs sont affiches  l'cran
// 2 - Toutes les erreurs provenant de variables/fonctions/autres non prcds d'un @ sont affiches  l'cran 
// 1 - Seules les erreurs en rapport avec la base de donnes sont affiches (le script donne des dtails sur l'erreur)
// 0 - Le script affiche simplement un message d'erreur lors de problmes SQL, sans donner plus de dtails 
//
define('DEBUG_MODE', 0);

//
// Pour visualiser le temps d'excution du script et le nombre de requtes effectues
//
//define('DEV_INFOS', TRUE);
define('DEV_INFOS', FALSE);

//
// Tables du script 
//
define('ABO_LISTE_TABLE'    , $prefixe . 'abo_liste');
define('ABONNES_TABLE'      , $prefixe . 'abonnes');
define('ADMIN_TABLE'        , $prefixe . 'admin');
define('AUTH_ADMIN_TABLE'   , $prefixe . 'auth_admin');
define('BANLIST_TABLE'      , $prefixe . 'ban_list');
define('CONFIG_TABLE'       , $prefixe . 'config');
define('JOINED_FILES_TABLE' , $prefixe . 'joined_files');
define('FORBIDDEN_EXT_TABLE', $prefixe . 'forbidden_ext');
define('LISTE_TABLE'        , $prefixe . 'liste');
define('LOG_TABLE'          , $prefixe . 'log');
define('LOG_FILES_TABLE'    , $prefixe . 'log_files');
define('SESSIONS_TABLE'     , $prefixe . 'session');

//
// Codes des messages d'erreur et d'information 
//
define('CRITICAL_ERROR', E_USER_WARNING);
define('ERROR'         , E_USER_ERROR);
define('MESSAGE'       , E_USER_NOTICE);

//
// Codes transactions pour les DB qui les supportent 
//
define('START_TRC', 1);
define('END_TRC'  , 2);

//
// Formats d'emails 
//
define('FORMAT_TEXTE'   , 1);
define('FORMAT_HTML'    , 2);
define('FORMAT_MULTIPLE', 3);

//
// Statut des newsletter 
//
define('STATUS_WRITING', 0);
define('STATUS_STANDBY', 1);
define('STATUS_SENDED' , 2);
define('STATUS_HANDLE' , 3);

//
// Statut des abonns 
//
define('ABO_ACTIF'  , 1);
define('ABO_INACTIF', 0);

//
// Niveau des utilisateurs, ne pas modifier !! 
//
define('ADMIN', 2);
define('USER' , 1);

//
// divers 
//
define('SUBSCRIBE_NOTIFY_YES', 1);
define('SUBSCRIBE_NOTIFY_NO' , 0);

define('MAX_IMPORT', 2500);

define('ENGINE_BCC' , 1);
define('ENGINE_UNIQ', 2);

//
// Codes d'erreur lors de l'upload 
//
// Ces constantes ne sont dfinies en natif qu' partir de php >= 4.3.0
//
if( version_compare(phpversion(), '4.3.0', '<') )
{
	define('UPLOAD_ERR_OK'       , 0);
	define('UPLOAD_ERR_INI_SIZE' , 1);
	define('UPLOAD_ERR_FORM_SIZE', 2);
	define('UPLOAD_ERR_PARTIAL'  , 3);
	define('UPLOAD_ERR_NO_FILE'  , 4);
}

//
// Si nous un accs restreint  cause de open_basedir, certains fichiers uploads 
// devront tre dplacs vers le dossier des fichiers temporaires du script pour tre 
// accessible en lecture
//
$open_basedir = @ini_get('open_basedir');
if( !empty($open_basedir) )
{
	define('OPEN_BASEDIR_RESTRICTION', TRUE);
}
else
{
	define('OPEN_BASEDIR_RESTRICTION', FALSE);
}

//
// On vrifie si l'upload est autoris sur le serveur
//
if( config_status('file_uploads') )
{
	define('FILE_UPLOADS_ON', TRUE);
}
else
{
	define('FILE_UPLOADS_ON', FALSE);
}

//
// Infos sur l'utilisateur 
//
$user_agent = server_info('HTTP_USER_AGENT');

if( $user_agent != '' )
{
	if( stristr($user_agent, 'win') )
	{
		define('WA_USER_OS', 'win');
	}
	else if( stristr($user_agent, 'mac') )
	{
		define('WA_USER_OS', 'mac');
	}
	else if( stristr($user_agent, 'linux') )
	{
		define('WA_USER_OS', 'linux');
	}
	else
	{
		define('WA_USER_OS', 'other');
	}
	
	if( stristr($user_agent, 'opera') )
	{
		define('WA_USER_BROWSER', 'opera');
	}
	else if( stristr($user_agent, 'msie') )
	{
		define('WA_USER_BROWSER', 'msie');
	}
	else if( stristr($user_agent, 'konqueror') )
	{
		define('WA_USER_BROWSER', 'konqueror');
	}
	else if( stristr($user_agent, 'mozilla') )
	{
		define('WA_USER_BROWSER', 'mozilla');
	}
	else
	{
		define('WA_USER_BROWSER', 'other');
	}
}
else
{
	define('WA_USER_OS'     , 'other');
	define('WA_USER_BROWSER', 'other');
}

$force_html  = FALSE;
$http_accept = server_info('HTTP_ACCEPT');

if( !$force_html && !empty($http_accept) && stristr($http_accept, 'application/xhtml+xml') )
{
	define('MODE_XHTML', true);
}
else
{
	define('MODE_XHTML', false);
}

?>